## kodi-inputstream-ffmpegdirect-dmo 20.5.1

=== depends/android/gmp/CMakeLists.txt ===
project(gmp)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

include(ExternalProject)
externalproject_add(gmp
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      ${COMPILER_WITH_LIBTOOL_SYSROOT_APPLE}
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --disable-shared
                      --with-pic
                      ${gmp_conf})

install(CODE "Message(Done)")

=== depends/common/ffmpeg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ffmpeg)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

# Init base values given on build to ffmpeg
set(STANDARD_CONF "")
set(EXTRA_CONF "")
set(EXTRA_CFLAGS "")
set(EXTRA_LDFLAGS "")

# Read version for ffmpeg to define on extra version
file(STRINGS "${CMAKE_SOURCE_DIR}/RELEASE" FFMPEG_VER)

# Set the basic ffmpeg configure options (same on all OS)
list(APPEND STANDARD_CONF --extra-version=kodi-${FFMPEG_VER}
                          --pkg-config-flags=--static
                          --disable-devices
                          --disable-doc
                          --disable-ffplay
                          --disable-ffmpeg
                          --disable-ffprobe
                          --enable-gpl
                          --enable-runtime-cpudetect
                          --enable-postproc
                          --enable-muxer=spdif
                          --enable-muxer=adts
                          --enable-muxer=asf
                          --enable-muxer=ipod
                          --enable-encoder=ac3
                          --enable-encoder=aac
                          --enable-encoder=wmav2
                          --enable-protocol=http
                          --enable-encoder=png
                          --enable-encoder=mjpeg
                          --enable-demuxer=dash
                          --enable-libxml2
                          --enable-zlib
                          --enable-static)

# Determinate debug or release and set ffmpeg for
if(CMAKE_BUILD_TYPE STREQUAL Release)
  list(APPEND EXTRA_CONF --disable-debug)
else()
  list(APPEND EXTRA_CONF --enable-debug)
endif()

# Run the builds
include(ExternalProject)
if(NOT WIN32)
  if(ENABLE_CCACHE AND CCACHE_PROGRAM)
    list(APPEND EXTRA_CONF "--cc=${CCACHE_PROGRAM} ${CMAKE_C_COMPILER}" "--cxx=${CCACHE_PROGRAM} ${CMAKE_CXX_COMPILER}")
  else()
    list(APPEND EXTRA_CONF --cc=${CMAKE_C_COMPILER} --cxx=${CMAKE_CXX_COMPILER})
  endif()

  if(CMAKE_CROSSCOMPILING)
    list(APPEND EXTRA_CONF --enable-cross-compile --arch=${CPU})
    list(APPEND EXTRA_CONF --ar=${CMAKE_AR} --strip=${CMAKE_STRIP})
    message(STATUS "CROSS: ${EXTRA_CONF}")
  endif()

  if(CMAKE_C_FLAGS)
    list(APPEND EXTRA_CONF --extra-cflags=${CMAKE_C_FLAGS})
  endif()

  if(CMAKE_CXX_FLAGS)
    list(APPEND EXTRA_CONF --extra-cxxflags=${CMAKE_CXX_FLAGS})
  endif()

  if(CMAKE_EXE_LINKER_FLAGS)
    if(CORE_SYSTEM_NAME STREQUAL android)
      string(APPEND CMAKE_EXE_LINKER_FLAGS " -L${CMAKE_INSTALL_PREFIX}/lib")
    endif()
    list(APPEND EXTRA_CONF --extra-ldflags=${CMAKE_EXE_LINKER_FLAGS})
  endif()

  if(ENABLE_NEON)
    list(APPEND EXTRA_CONF --enable-neon)
  endif()

  if(CORE_SYSTEM_NAME STREQUAL linux OR CORE_SYSTEM_NAME STREQUAL freebsd)
    if(CORE_PLATFORM_NAME STREQUAL rbpi)
      list(APPEND EXTRA_CONF --cpu=${CPU} --disable-vaapi --disable-vdpau)
    else()
      list(APPEND EXTRA_CONF --enable-pic)
      if(ENABLE_VAAPI)
        list(APPEND EXTRA_CONF --enable-vaapi)
      else()
        list(APPEND EXTRA_CONF --disable-vaapi)
      endif()
      if(ENABLE_VDPAU)
        list(APPEND EXTRA_CONF --enable-vdpau)
      else()
        list(APPEND EXTRA_CONF --disable-vdpau)
      endif()
    endif()
  elseif(CORE_SYSTEM_NAME STREQUAL android)
    if(CPU MATCHES arm64)
      list(APPEND EXTRA_CONF --cpu=cortex-a53 --arch=aarch64)
    elseif(CPU MATCHES arm)
      list(APPEND EXTRA_CONF --cpu=cortex-a9)
    else()
      list(APPEND EXTRA_CONF --cpu=i686 --disable-mmx)
    endif()
    list(APPEND EXTRA_CONF --target-os=android --extra-libs=-liconv --disable-linux-perf)
  elseif(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
    if(NOT CPU MATCHES arm64)
      list(APPEND EXTRA_CONF --cpu=cortex-a8)
    else()
      list(APPEND EXTRA_CONF "--as=${CMAKE_INSTALL_PREFIX}/bin/gas-preprocessor.pl -arch aarch64 -- ${CMAKE_C_COMPILER}")
      list(APPEND EXTRA_CONF --arch=aarch64)
    endif()
    list(APPEND EXTRA_CONF --disable-decoder=mpeg_xvmc --disable-crystalhd --enable-videotoolbox
                           --target-os=darwin)
  elseif(CORE_SYSTEM_NAME STREQUAL osx)
    list(APPEND EXTRA_CONF --disable-decoder=mpeg_xvmc --disable-crystalhd --enable-videotoolbox
                           --target-os=darwin
                           --disable-securetransport)
  endif()

  if(CPU MATCHES arm OR CORE_PLATFORM_NAME STREQUAL rbpi)
    list(APPEND EXTRA_CONF --enable-pic --disable-armv5te --disable-armv6t2)
  elseif(CPU MATCHES mips)
    list(APPEND EXTRA_CONF --disable-mips32r2 --disable-mipsdsp --disable-mipsdspr2)
  endif()

  message(STATUS "FFMPEG_CONF (Standard): ${STANDARD_CONF}")
  message(STATUS "FFMPEG_CONF (Extra, OS dependend): ${EXTRA_CONF}")

  externalproject_add(ffmpeg
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND PKG_CONFIG_PATH=${CMAKE_INSTALL_PREFIX}/lib/pkgconfig ${CMAKE_SOURCE_DIR}/configure
                        --prefix=${CMAKE_INSTALL_PREFIX}
                        --enable-pthreads
                        --enable-gnutls
                        --enable-libzvbi
                        ${STANDARD_CONF}
                        ${EXTRA_CONF})

  if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
    externalproject_add_step(ffmpeg
                            RunSedCommand
                            COMMAND echo "Setting HAVE_CLOCK_GETTIME to 0 for darwin_embedded using sed"
                            COMMAND sed -i -- "s/HAVE_CLOCK_GETTIME 1/HAVE_CLOCK_GETTIME 0/g" ${CMAKE_CURRENT_BINARY_DIR}/ffmpeg-prefix/src/ffmpeg-build/config.h
                            DEPENDEES configure)
  endif()
else()
  find_package(MinGW REQUIRED)

  if(CMAKE_C_FLAGS)
    list(APPEND EXTRA_CFLAGS ${CMAKE_C_FLAGS})
  endif()

  if(CMAKE_CXX_FLAGS)
    list(APPEND EXTRA_CXXFLAGS ${CMAKE_CXX_FLAGS})
  endif()

  if(CMAKE_EXE_LINKER_FLAGS)
    list(APPEND EXTRA_LDFLAGS ${CMAKE_EXE_LINKER_FLAGS})
  endif()

  # Replace slash with minus, mingw does interpret a slash wrong!
  MinGW_ChangeSlashToMinus(${EXTRA_CFLAGS})
  set(EXTRA_CFLAGS ${FLAGS})
  MinGW_ChangeSlashToMinus(${EXTRA_CXXFLAGS})
  set(EXTRA_CXXFLAGS ${FLAGS})
  MinGW_ChangeSlashToMinus(${EXTRA_LDFLAGS})
  set(EXTRA_LDFLAGS ${FLAGS})

  list(APPEND EXTRA_CFLAGS -I${CMAKE_INSTALL_PREFIX}/include
                           -I${CMAKE_INSTALL_PREFIX}/include/libxml2
                           -FS)
  list(APPEND EXTRA_CXXFLAGS -I${CMAKE_INSTALL_PREFIX}/include
                             -I${CMAKE_INSTALL_PREFIX}/include/libxml2
                             -FS)
  list(APPEND EXTRA_LDFLAGS -LIBPATH:${CMAKE_INSTALL_PREFIX}/lib)
  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
    list(APPEND EXTRA_CONF --enable-cross-compile)
    list(APPEND EXTRA_CFLAGS -DWINAPI_FAMILY=WINAPI_FAMILY_APP -D_WIN32_WINNT=0x0A00)
    list(APPEND EXTRA_LDFLAGS -APPCONTAINER WindowsApp.lib)
  endif()
  if(CMAKE_BUILD_TYPE STREQUAL Release)
    list(APPEND EXTRA_CFLAGS -MD -wd4828)
    list(APPEND EXTRA_CXXFLAGS -MD -wd4828)
  else()
    list(APPEND EXTRA_CFLAGS -MDd)
    list(APPEND EXTRA_CXXFLAGS -MDd)
    list(APPEND EXTRA_LDFLAGS -NODEFAULTLIB:libcmt)
  endif()

  include(CheckSymbolExists)
  check_symbol_exists(_X86_ "Windows.h" _X86_)
  check_symbol_exists(_AMD64_ "Windows.h" _AMD64_)
  check_symbol_exists(_ARM_ "Windows.h" _ARM_)
  check_symbol_exists(_ARM64_ "Windows.h" _ARM64_)

  if(_X86_)
    set(EXTRA_ARCH "x86")
    list(APPEND EXTRA_CONF --target-os=win32 --cpu=i686)
  elseif(_AMD64_)
    set(EXTRA_ARCH "x86_64")
    list(APPEND EXTRA_CONF --target-os=win64)
  elseif(_ARM_)
    set(EXTRA_ARCH "arm")
    list(APPEND EXTRA_CONF --target-os=win32 --cpu=armv7)
  elseif(_ARM64_)
    set(EXTRA_ARCH "aarch64")
    list(APPEND EXTRA_CONF --target-os=win32 --cpu=aarch64)
  else()
    message(FATAL_ERROR "Unsupported architecture")
  endif()

  externalproject_add(ffmpeg
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND ${MINGW_CALL}
                        ./configure
                          --prefix=[DQ]${CMAKE_INSTALL_PREFIX}[DQ]
                          --arch=${EXTRA_ARCH}
                          --toolchain=msvc
                          --enable-w32threads
                          --enable-openssl
                          --enable-nonfree
                          --disable-gnutls
                          --disable-libzvbi
                          ${STANDARD_CONF}
                          ${EXTRA_CONF}
                          --extra-cflags=[DQ]${EXTRA_CFLAGS}[DQ]
                          --extra-cxxflags=[DQ]${EXTRA_CXXFLAGS}[DQ]
                          --extra-ldflags=[DQ]${EXTRA_LDFLAGS}[DQ]
                      BUILD_COMMAND ${MINGW_CALL}
                        make -j$ENV{NUMBER_OF_PROCESSORS}
                      INSTALL_COMMAND ${MINGW_CALL}
                        make install)
endif()

install(CODE "Message(Done)")

=== depends/common/gmp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gmp)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

include(ExternalProject)

if(CORE_SYSTEM_NAME STREQUAL osx OR
   CORE_SYSTEM_NAME STREQUAL darwin_embedded)

  if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
    set(EXTRA_ARGS "--disable-assembly")
    set(EXTRA_ARGS "${EXTRA_ARGS} --host=aarch64-apple-darwin")
  else()
    set(EXTRA_ARGS "--with-pic")
    if(CPU STREQUAL "arm64")
      set(EXTRA_ARGS "${EXTRA_ARGS} --host=aarch64-apple-darwin")
    else()
      set(EXTRA_ARGS "${EXTRA_ARGS} --host=x86_64-apple-darwin")
    endif()
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
      set(EXTRA_ARGS "${EXTRA_ARGS} ABI=64")
    else()
      set(EXTRA_ARGS "${EXTRA_ARGS} ABI=32")
    endif()
  endif()

  externalproject_add(gmp
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND
                          bash --login -c
                          "./configure \
                          --prefix=${CMAKE_BINARY_DIR}/gmpbuild \
                          CC='${CMAKE_C_COMPILER} ${CMAKE_C_FLAGS}' \
                          LDFLAGS='${CMAKE_EXE_LINKER_FLAGS}' \
                          CPP='${CMAKE_C_COMPILER} -E' \
                          CPPFLAGS='${CMAKE_C_FLAGS}' \
                          ${EXTRA_ARGS} \
                          --enable-static \
                          --disable-shared"
                      BUILD_COMMAND  make
                      INSTALL_COMMAND
                        make install &&
                        # Is installed to different place to become no conflict during configure with
                        # "./share/config.site" on addon depends binary folder
                        cmake -E copy_directory ${CMAKE_BINARY_DIR}/gmpbuild ${CMAKE_INSTALL_PREFIX}
                      BUILD_IN_SOURCE TRUE)
else()
  if(CORE_SYSTEM_NAME MATCHES "linux" AND CPU MATCHES "i.86")
      list(APPEND gmp_conf ABI=32)
  endif()

  externalproject_add(gmp
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND <SOURCE_DIR>/configure
                        --prefix=${CMAKE_INSTALL_PREFIX}
                        --disable-assembly
                        --enable-static
                        --disable-shared
                        --with-pic
                        ${gmp_conf})
endif()

install(CODE "Message(Done)")

=== depends/common/gnutls/CMakeLists.txt ===
project(gnutls)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

# GnuTLS automake can request a rebuild even though we don't have
# all the tools installed so we disable it for the build
list(APPEND gnutls_conf --disable-maintainer-mode)

list(APPEND gnutls_conf PKG_CONFIG_PATH=${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
list(APPEND gnutls_conf CPPFLAGS=-I${CMAKE_INSTALL_PREFIX}/include)
list(APPEND gnutls_conf LDFLAGS=-L${CMAKE_INSTALL_PREFIX}/lib)
list(APPEND gnutls_conf LIBS=-lgmp)

if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  list(APPEND gnutls_conf ac_cv_func_vfork_works=no)
  list(APPEND gnutls_conf ac_cv_func_fork=no)
endif()

include(ExternalProject)
externalproject_add(gnutls
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --disable-shared
                      --without-p11-kit
                      --without-idn
                      --disable-nls
                      --with-included-unistring
                      --with-included-libtasn1
                      --enable-local-libopts
                      --without-nettle-mini
                      --disable-doc
                      --disable-tests
                      --disable-guile
                      --disable-tools
                      --with-pic
                      ${gnutls_conf})

if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  externalproject_add_step(gnutls
                           RunSedCommand
                           # Apple CCAS requires stripping ; from comment block # to build successfully
                           COMMAND echo "Stripping semi-colon from comment blocks for Apple CCAS to build successfully"
                           COMMAND bash -c "sed -ie 's|\\(^# .*\\)[;]\\(.*\\)|\\1\\2|g' ${CMAKE_CURRENT_SOURCE_DIR}/lib/accelerated/aarch64/macosx/*.s"
                           DEPENDERS configure)
endif()

install(CODE "Message(Done)")

=== depends/common/libxml2/CMakeLists.txt ===
project(libxml2)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

if (APPLE)
  # For some reason libxml2 requires this flag or it will create an insane amout of log output on compile
  list(APPEND libxml2_conf CFLAGS=-Wno-nullability-completeness)
endif()
list(APPEND libxml2_conf CPPFLAGS=-I${CMAKE_INSTALL_PREFIX}/include)
list(APPEND libxml2_conf LDFLAGS=-L${CMAKE_INSTALL_PREFIX}/lib)

include(ExternalProject)
externalproject_add(libxml2
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --without-python
                      --without-iconv
                      --without-http
                      --without-ftp
                      --without-catalog
                      --without-modules
                      --disable-shared
                      --with-pic
                      ${libxml2_conf})

externalproject_add_step(libxml2
                         RunSedCommand
                         COMMAND echo "Removing executable from makefile.in using BBB sed ${CMAKE_CURRENT_SOURCE_DIR}"
                         COMMAND bash -c "sed -ie 's|runtest$(EXEEXT)||' ${CMAKE_CURRENT_SOURCE_DIR}/Makefile.in"
                         COMMAND bash -c "sed -ie 's|testrecurse$(EXEEXT)||' ${CMAKE_CURRENT_SOURCE_DIR}/Makefile.in"
                         DEPENDERS configure)

install(CODE "Message(Done)")

=== depends/windowsstore/libxml2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(xml2)

enable_language(C)

find_package(ZLIB REQUIRED)
list(APPEND CMAKE_REQUIRED_INCLUDES ${ZLIB_INCLUDE_DIRS})

if(NOT WIN32)
  include(CheckIncludeFile)
  include(CheckFunctionExists)
  include(CheckStructHasMember)
  include(CheckSymbolExists)

  file(READ config.h.in FILE_CONTENT)
  string(REPLACE "#undef" "#cmakedefine" MODIFIED_FILE_CONTENT "${FILE_CONTENT}")
  file(WRITE config.h.cmake "${MODIFIED_FILE_CONTENT}")

  #/* Type cast for the gethostbyname() argument */
  #undef GETHOSTBYNAME_ARG_CAST

  #/* Define to 1 if you have the <ansidecl.h> header file. */
  check_include_file(ansidecl.h HAVE_ANSIDECL_H)

  #/* Define to 1 if you have the <arpa/inet.h> header file. */
  check_include_file(arpa/inet.h HAVE_ARPA_INET_H)

  #/* Define to 1 if you have the <arpa/nameser.h> header file. */
  check_include_file(arpa/nameser.h HAVE_ARPA_NAMESER_H)

  #/* Whether struct sockaddr::__ss_family exists */
  check_struct_has_member("struct sockaddr" __ss_family sys/socket.h HAVE_BROKEN_SS_FAMILY)

  #/* Define to 1 if you have the `class' function. */
  check_function_exists(class HAVE_CLASS)

  #/* Define to 1 if you have the <ctype.h> header file. */
  check_include_file(ctype.h HAVE_CTYPE_H)

  #/* Define to 1 if you have the <dirent.h> header file. */
  check_include_file(dirent.h HAVE_DIRENT_H)

  #/* Define to 1 if you have the <dlfcn.h> header file. */
  check_include_file(dlfcn.h HAVE_DLFCN_H)

  #/* Have dlopen based dso */
  #undef HAVE_DLOPEN

  #/* Define to 1 if you have the <dl.h> header file. */
  check_include_file(dl.h HAVE_DL_H)

  #/* Define to 1 if you have the <errno.h> header file. */
  check_include_file(errno.h HAVE_ERRNO_H)

  #/* Define to 1 if you have the <fcntl.h> header file. */
  check_include_file(fcntl.h HAVE_FCNTL_H)

  #/* Define to 1 if you have the `finite' function. */
  check_function_exists(finite HAVE_FINITE)

  #/* Define to 1 if you have the <float.h> header file. */
  check_include_file(float.h HAVE_FLOAT_H)

  #/* Define to 1 if you have the `fpclass' function. */
  check_function_exists(fpclass HAVE_FPCLASS)

  #/* Define to 1 if you have the `fprintf' function. */
  check_function_exists(fprintf HAVE_FPRINTF)

  #/* Define to 1 if you have the `fp_class' function. */
  check_function_exists(fp_class HAVE_FP_CLASS)

  #/* Define to 1 if you have the <fp_class.h> header file. */
  check_include_file(fp_class.h HAVE_FP_CLASS_H)

  #/* Define to 1 if you have the `ftime' function. */
  check_function_exists(ftime HAVE_FTIME)

  #/* Define if getaddrinfo is there */
  check_function_exists(getaddrinfo HAVE_GETADDRINFO)

  #/* Define to 1 if you have the `gettimeofday' function. */
  check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)

  #/* Define to 1 if you have the <ieeefp.h> header file. */
  check_include_file(ieeefp.h HAVE_IEEEFP_H)

  #/* Define to 1 if you have the <inttypes.h> header file. */
  check_include_file(inttypes.h HAVE_INTTYPES_H)

  #/* Define to 1 if you have the `isascii' function. */
  check_function_exists(isascii HAVE_ISASCII)

  #/* Define if isinf is there */
  check_function_exists(isinf HAVE_ISINF)

  #/* Define if isnan is there */
  check_function_exists(isnan HAVE_ISNAN)

  #/* Define to 1 if you have the `isnand' function. */
  check_function_exists(isnand HAVE_ISNAND)

  #/* Define if history library is there (-lhistory) */
  #undef HAVE_LIBHISTORY

  #/* Have compression library */
  #undef HAVE_LIBLZMA

  #/* Define if pthread library is there (-lpthread) */
  #undef HAVE_LIBPTHREAD

  #/* Define if readline library is there (-lreadline) */
  #undef HAVE_LIBREADLINE

  #/* Have compression library */
  #undef HAVE_LIBZ

  #/* Define to 1 if you have the <limits.h> header file. */
  check_include_file(limits.h HAVE_LIMITS_H)

  #/* Define to 1 if you have the `localtime' function. */
  check_function_exists(localtime HAVE_LOCALTIME)

  #/* Define to 1 if you have the <lzma.h> header file. */
  check_include_file(lzma.h HAVE_LZMA_H)

  #/* Define to 1 if you have the <malloc.h> header file. */
  check_include_file(malloc.h HAVE_MALLOC_H)

  #/* Define to 1 if you have the <math.h> header file. */
  check_include_file(math.h HAVE_MATH_H)

  #/* Define to 1 if you have the <memory.h> header file. */
  check_include_file(memory.h HAVE_MEMORY_H)

  #/* Define to 1 if you have the `mmap' function. */
  check_function_exists(mmap HAVE_MMAP)

  #/* Define to 1 if you have the `munmap' function. */
  check_function_exists(munmap HAVE_MUNMAP)

  #/* mmap() is no good without munmap() */
  #if defined(HAVE_MMAP) && !defined(HAVE_MUNMAP)
  #  undef /**/ HAVE_MMAP
  #endif

  #/* Define to 1 if you have the <nan.h> header file. */
  check_include_file(nan.h HAVE_NAN_H)

  #/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR'. */
  check_include_file(ndir.h HAVE_NDIR_H)

  #/* Define to 1 if you have the <netdb.h> header file. */
  check_include_file(netdb.h HAVE_NETDB_H)

  #/* Define to 1 if you have the <netinet/in.h> header file. */
  check_include_file(netinet/in.h HAVE_NETINET_IN_H)

  #/* Define to 1 if you have the <poll.h> header file. */
  check_include_file(poll.h HAVE_POLL_H)

  #/* Define to 1 if you have the `printf' function. */
  check_function_exists(printf HAVE_PRINTF)

  #/* Define if <pthread.h> is there */
  #undef HAVE_PTHREAD_H

  #/* Define to 1 if you have the `putenv' function. */
  check_function_exists(putenv HAVE_PUTENV)

  #/* Define to 1 if you have the `rand' function. */
  check_function_exists(rand HAVE_RAND)

  #/* Define to 1 if you have the `rand_r' function. */
  check_function_exists(rand_r HAVE_RAND_R)

  #/* Define to 1 if you have the <resolv.h> header file. */
  check_include_file(resolv.h HAVE_RESOLV_H)

  #/* Have shl_load based dso */
  #undef HAVE_SHLLOAD

  #/* Define to 1 if you have the `signal' function. */
  check_function_exists(signal HAVE_SIGNAL)

  #/* Define to 1 if you have the <signal.h> header file. */
  check_include_file(signal.h HAVE_SIGNAL_H)

  #/* Define to 1 if you have the `snprintf' function. */
  #check_function_exists(snprintf HAVE_SNPRINTF)
  check_symbol_exists(snprintf stdio.h HAVE_SNPRINTF)

  #/* Define to 1 if you have the `sprintf' function. */
  check_function_exists(sprintf HAVE_SPRINTF)

  #/* Define to 1 if you have the `srand' function. */
  check_function_exists(srand HAVE_SRAND)

  #/* Define to 1 if you have the `sscanf' function. */
  check_function_exists(sscanf HAVE_SSCANF)

  #/* Define to 1 if you have the `stat' function. */
  check_function_exists(stat HAVE_STAT)

  #/* Define to 1 if you have the <stdarg.h> header file. */
  check_include_file(stdarg.h HAVE_STDARG_H)

  #/* Define to 1 if you have the <stdint.h> header file. */
  check_include_file(stdint.h HAVE_STDINT_H)

  #/* Define to 1 if you have the <stdlib.h> header file. */
  check_include_file(stdlib.h HAVE_STDLIB_H)

  #/* Define to 1 if you have the `strdup' function. */
  check_function_exists(strdup HAVE_STRDUP)

  #/* Define to 1 if you have the `strerror' function. */
  check_function_exists(strerror HAVE_STRERROR)

  #/* Define to 1 if you have the `strftime' function. */
  check_function_exists(strftime HAVE_STRFTIME)

  #/* Define to 1 if you have the <strings.h> header file. */
  check_include_file(strings.h HAVE_STRINGS_H)

  #/* Define to 1 if you have the <string.h> header file. */
  check_include_file(string.h HAVE_STRING_H)

  #/* Define to 1 if you have the `strndup' function. */
  check_function_exists(strndup HAVE_STRNDUP)

  #/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR'.
  #   */
  check_include_file(sys/dir.h HAVE_SYS_DIR_H)

  #/* Define to 1 if you have the <sys/mman.h> header file. */
  check_include_file(sys/mman.h HAVE_SYS_MMAN_H)

  #/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR'.
  #   */
  check_include_file(sys/ndir.h HAVE_SYS_NDIR_H)

  #/* Define to 1 if you have the <sys/select.h> header file. */
  check_include_file(sys/select.h HAVE_SYS_SELECT_H)

  #/* Define to 1 if you have the <sys/socket.h> header file. */
  check_include_file(sys/socket.h HAVE_SYS_SOCKET_H)

  #/* Define to 1 if you have the <sys/stat.h> header file. */
  check_include_file(sys/stat.h HAVE_SYS_STAT_H)

  #/* Define to 1 if you have the <sys/timeb.h> header file. */
  check_include_file(sys/timeb.h HAVE_SYS_TIMEB_H)

  #/* Define to 1 if you have the <sys/time.h> header file. */
  check_include_file(sys/time.h HAVE_SYS_TIME_H)

  #/* Define to 1 if you have the <sys/types.h> header file. */
  check_include_file(sys/types.h HAVE_SYS_TYPES_H)

  #/* Define to 1 if you have the `time' function. */
  check_function_exists(time HAVE_TIME)

  #/* Define to 1 if you have the <time.h> header file. */
  check_include_file(time.h HAVE_TIME_H)

  #/* Define to 1 if you have the <unistd.h> header file. */
  check_include_file(unistd.h HAVE_UNISTD_H)

  #/* Whether va_copy() is available */
  check_symbol_exists(va_copy stdarg.h HAVE_VA_COPY)

  #/* Define to 1 if you have the `vfprintf' function. */
  check_function_exists(vfprintf HAVE_VFPRINTF)

  #/* Define to 1 if you have the `vsnprintf' function. */
  check_function_exists(vsnprintf HAVE_VSNPRINTF)

  #/* Define to 1 if you have the `vsprintf' function. */
  check_function_exists(vsprintf HAVE_VSPRINTF)

  #/* Define to 1 if you have the <zlib.h> header file. */
  check_include_file(zlib.h HAVE_ZLIB_H)

  #/* Define to 1 if you have the `_stat' function. */
  check_function_exists(_stat HAVE__STAT)

  #/* Whether __va_copy() is available */
  check_symbol_exists(__va_copy stdarg.h HAVE___VA_COPY)

  #/* Define as const if the declaration of iconv() needs const. */
  #undef ICONV_CONST
  set(ICONV_CONST const)

  #/* Define to the sub-directory where libtool stores uninstalled libraries. */
  #undef LT_OBJDIR

  #/* Name of package */
  #undef PACKAGE

  #/* Define to the address where bug reports for this package should be sent. */
  #undef PACKAGE_BUGREPORT

  #/* Define to the full name of this package. */
  #undef PACKAGE_NAME

  #/* Define to the full name and version of this package. */
  #undef PACKAGE_STRING

  #/* Define to the one symbol short name of this package. */
  #undef PACKAGE_TARNAME

  #/* Define to the home page for this package. */
  #undef PACKAGE_URL

  #/* Define to the version of this package. */
  #undef PACKAGE_VERSION

  #/* Type cast for the send() function 2nd arg */
  #undef SEND_ARG2_CAST

  #/* Define to 1 if you have the ANSI C header files. */
  #undef STDC_HEADERS

  #/* Support for IPv6 */
  #undef SUPPORT_IP6

  #/* Define if va_list is an array type */
  check_c_source_compiles("#include <stdarg.h>\n int main() {va_list list1, list2; list1 = list2;}" NOT_VA_LIST_IS_ARRAY)
  if(NOT NOT_VA_LIST_IS_ARRAY)
    set(VA_LIST_IS_ARRAY 1)
  endif()

  #/* Version number of package */
  #undef VERSION

  #/* Determine what socket length (socklen_t) data type is */
  #undef XML_SOCKLEN_T

  #/* Define for Solaris 2.5.1 so the uint32_t typedef from <sys/synch.h>,
  #   <pthread.h>, or <semaphore.h> is not used. If the typedef were allowed, the
     #define below would cause a syntax error. */
  #undef _UINT32_T

  #/* Using the Win32 Socket implementation */
  #undef _WINSOCKAPI_

  #/* ss_family is not defined here, use __ss_family instead */
  #undef ss_family

  #/* Define to the type of an unsigned integer type of width exactly 32 bits if
  #   such a type exists and the standard includes do not define it. */
  #undef uint32_t
endif()

set(LIBXML_MAJOR_VERSION 2)
set(LIBXML_MINOR_VERSION 9)
set(LIBXML_MICRO_VERSION 3)
set(LIBXML_MICRO_VERSION_SUFFIX)
set(LIBXML_VERSION ${LIBXML_MAJOR_VERSION}.${LIBXML_MINOR_VERSION}.${LIBXML_MICRO_VERSION}${LIBXML_MICRO_VERSION_SUFFIX})
math(EXPR LIBXML_VERSION_INFO "${LIBXML_MAJOR_VERSION} + ${LIBXML_MINOR_VERSION}")
set(LIBXML_VERSION_INFO ${LIBXML_VERSION_INFO}:${LIBXML_MICRO_VERSION}:${LIBXML_MINOR_VERSION})

=== depends/windowsstore/xz-utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(xz VERSION 5.3.0 LANGUAGES C)

if(MSVC)
  set(CMAKE_DEBUG_POSTFIX "d")
endif()

add_library(lzma
    src/common/tuklib_cpucores.c
    src/common/tuklib_physmem.c
    src/liblzma/check/check.c
    src/liblzma/check/crc32_fast.c
    src/liblzma/check/crc32_table.c
    src/liblzma/check/crc64_fast.c
    src/liblzma/check/crc64_table.c
    src/liblzma/check/sha256.c
    src/liblzma/common/alone_decoder.c
    src/liblzma/common/alone_encoder.c
    src/liblzma/common/auto_decoder.c
    src/liblzma/common/block_buffer_decoder.c
    src/liblzma/common/block_buffer_encoder.c
    src/liblzma/common/block_decoder.c
    src/liblzma/common/block_encoder.c
    src/liblzma/common/block_header_decoder.c
    src/liblzma/common/block_header_encoder.c
    src/liblzma/common/block_util.c
    src/liblzma/common/common.c
    src/liblzma/common/easy_buffer_encoder.c
    src/liblzma/common/easy_decoder_memusage.c
    src/liblzma/common/easy_encoder.c
    src/liblzma/common/easy_encoder_memusage.c
    src/liblzma/common/easy_preset.c
    src/liblzma/common/filter_buffer_decoder.c
    src/liblzma/common/filter_buffer_encoder.c
    src/liblzma/common/filter_common.c
    src/liblzma/common/filter_decoder.c
    src/liblzma/common/filter_encoder.c
    src/liblzma/common/filter_flags_decoder.c
    src/liblzma/common/filter_flags_encoder.c
    src/liblzma/common/hardware_cputhreads.c
    src/liblzma/common/hardware_physmem.c
    src/liblzma/common/index.c
    src/liblzma/common/index_decoder.c
    src/liblzma/common/index_encoder.c
    src/liblzma/common/index_hash.c
    src/liblzma/common/outqueue.c
    src/liblzma/common/stream_buffer_decoder.c
    src/liblzma/common/stream_buffer_encoder.c
    src/liblzma/common/stream_decoder.c
    src/liblzma/common/stream_encoder.c
    src/liblzma/common/stream_encoder_mt.c
    src/liblzma/common/stream_flags_common.c
    src/liblzma/common/stream_flags_decoder.c
    src/liblzma/common/stream_flags_encoder.c
    src/liblzma/common/vli_decoder.c
    src/liblzma/common/vli_encoder.c
    src/liblzma/common/vli_size.c
    src/liblzma/delta/delta_common.c
    src/liblzma/delta/delta_decoder.c
    src/liblzma/delta/delta_encoder.c
    src/liblzma/lzma/fastpos_table.c
    src/liblzma/lzma/lzma2_decoder.c
    src/liblzma/lzma/lzma2_encoder.c
    src/liblzma/lzma/lzma_decoder.c
    src/liblzma/lzma/lzma_encoder.c
    src/liblzma/lzma/lzma_encoder_optimum_fast.c
    src/liblzma/lzma/lzma_encoder_optimum_normal.c
    src/liblzma/lzma/lzma_encoder_presets.c
    src/liblzma/lz/lz_decoder.c
    src/liblzma/lz/lz_encoder.c
    src/liblzma/lz/lz_encoder_mf.c
    src/liblzma/rangecoder/price_table.c
    src/liblzma/simple/arm.c
    src/liblzma/simple/armthumb.c
    src/liblzma/simple/ia64.c
    src/liblzma/simple/powerpc.c
    src/liblzma/simple/simple_coder.c
    src/liblzma/simple/simple_decoder.c
    src/liblzma/simple/simple_encoder.c
    src/liblzma/simple/sparc.c
    src/liblzma/simple/x86.c
    src/common/mythread.h
    src/common/sysdefs.h
    src/common/tuklib_common.h
    src/common/tuklib_config.h
    src/common/tuklib_cpucores.h
    src/common/tuklib_integer.h
    src/common/tuklib_physmem.h
    src/liblzma/api/lzma.h
    src/liblzma/api/lzma/base.h
    src/liblzma/api/lzma/bcj.h
    src/liblzma/api/lzma/block.h
    src/liblzma/api/lzma/check.h
    src/liblzma/api/lzma/container.h
    src/liblzma/api/lzma/delta.h
    src/liblzma/api/lzma/filter.h
    src/liblzma/api/lzma/hardware.h
    src/liblzma/api/lzma/index.h
    src/liblzma/api/lzma/index_hash.h
    src/liblzma/api/lzma/lzma12.h
    src/liblzma/api/lzma/stream_flags.h
    src/liblzma/api/lzma/version.h
    src/liblzma/api/lzma/vli.h
    src/liblzma/check/check.h
    src/liblzma/check/crc32_table_be.h
    src/liblzma/check/crc32_table_le.h
    src/liblzma/check/crc64_table_be.h
    src/liblzma/check/crc64_table_le.h
    src/liblzma/check/crc_macros.h
    src/liblzma/common/alone_decoder.h
    src/liblzma/common/block_buffer_encoder.h
    src/liblzma/common/block_decoder.h
    src/liblzma/common/block_encoder.h
    src/liblzma/common/common.h
    src/liblzma/common/easy_preset.h
    src/liblzma/common/filter_common.h
    src/liblzma/common/filter_decoder.h
    src/liblzma/common/filter_encoder.h
    src/liblzma/common/index.h
    src/liblzma/common/index_encoder.h
    src/liblzma/common/memcmplen.h
    src/liblzma/common/outqueue.h
    src/liblzma/common/stream_decoder.h
    src/liblzma/common/stream_flags_common.h
    src/liblzma/delta/delta_common.h
    src/liblzma/delta/delta_decoder.h
    src/liblzma/delta/delta_encoder.h
    src/liblzma/delta/delta_private.h
    src/liblzma/lzma/fastpos.h
    src/liblzma/lzma/lzma2_decoder.h
    src/liblzma/lzma/lzma2_encoder.h
    src/liblzma/lzma/lzma_common.h
    src/liblzma/lzma/lzma_decoder.h
    src/liblzma/lzma/lzma_encoder.h
    src/liblzma/lzma/lzma_encoder_private.h
    src/liblzma/lz/lz_decoder.h
    src/liblzma/lz/lz_encoder.h
    src/liblzma/lz/lz_encoder_hash.h
    src/liblzma/lz/lz_encoder_hash_table.h
    src/liblzma/rangecoder/price.h
    src/liblzma/rangecoder/range_common.h
    src/liblzma/rangecoder/range_decoder.h
    src/liblzma/rangecoder/range_encoder.h
    src/liblzma/simple/simple_coder.h
    src/liblzma/simple/simple_decoder.h
    src/liblzma/simple/simple_encoder.h
    src/liblzma/simple/simple_private.h
    windows/vs2017/config.h
)

target_include_directories(lzma
  PRIVATE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/api>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/check>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/common>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/lzma>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/lz>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/simple>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/delta>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/rangecoder>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/common>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/common>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/windows/vs2017>
  INTERFACE
  $<INSTALL_INTERFACE:include>
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/api>
)

target_compile_definitions(lzma
  PRIVATE
  _CRT_SECURE_NO_WARNINGS
  _CRT_STDC_NO_DEPRECATE
  HAVE_CONFIG_H
)

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY AnyNewerVersion
)

install(TARGETS lzma EXPORT lzma
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

install(DIRECTORY
  ${CMAKE_CURRENT_SOURCE_DIR}/src/liblzma/api/
  DESTINATION include
)

install(EXPORT lzma
  FILE
  ${PROJECT_NAME}.cmake
  NAMESPACE
    ${PROJECT_NAME}::
  DESTINATION
    lib/cmake/${PROJECT_NAME}
)

install(FILES
  cmake/${PROJECT_NAME}-config.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake
  DESTINATION
    lib/cmake/${PROJECT_NAME}
)

export(TARGETS lzma
  FILE
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake
  NAMESPACE ${PROJECT_NAME}::
)

=== debian/changelog ===
kodi-inputstream-ffmpegdirect-dmo (1:20.5.1-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2024 09:15:02 +0200

kodi-inputstream-ffmpegdirect-dmo (1:20.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 14:34:30 +0100

kodi-inputstream-ffmpegdirect-dmo (1:19.0.3-dmo1) unstable; urgency=medium

  * New upstream release.
  * Build with ffmpeg 4.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Jul 2022 12:49:04 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jun 2022 13:06:36 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 19:13:13 +0100

kodi-inputstream-ffmpegdirect-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 17:19:20 +0200

=== debian/control ===
Source: kodi-inputstream-ffmpegdirect-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/inputstream.ffmpegdirect
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:20~),
 cmake, libavcodec-4-dev, libavformat-4-dev, libswresample-4-dev, libpostproc-4-dev,
 libavfilter-4-dev, pkgconf, libbz2-dev, zlib1g-dev, ninja-build, quilt

Package: kodi-inputstream-ffmpegdirect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:INPUTSTREAMAPI}
Description: FFmpegDirect inputstream addon for Kodi
 This is a Kodi input stream addon for streams that can be opened by either
 FFmpeg's libavformat or Kodi's cURL. Common stream formats such as plain
 TS, HLS and DASH are supported as well as many others.  Note that the only
 DASH streams supported are those without DRM.
 .
 The addon also has support for Archive/Catchup services where there is a
 replay window (usually in days) and can timeshift across that span.
 .
 In addition the addon can also provide timeshift to live streams where
 rewind/pause and fast-forward woud not have previously been possible.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

#	exit 1

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs inputstream.ffmpegdirect/changelog.txt

override_dh_clean:
	dh_clean

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/xbmc/inputstream.ffmpegdirect/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-inputstream-ffmpegdirect-dmo 21.3.8

=== debian/changelog ===
kodi-inputstream-ffmpegdirect-dmo (1:21.3.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Jun 2025 14:56:45 +0200

kodi-inputstream-ffmpegdirect-dmo (1:21.3.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 01:57:30 +0100

kodi-inputstream-ffmpegdirect-dmo (1:21.3.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jan 2025 08:59:24 +0100

kodi-inputstream-ffmpegdirect-dmo (1:21.3.5-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 15:25:20 +0100

kodi-inputstream-ffmpegdirect-dmo (1:21.3.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 01:57:12 +0200

kodi-inputstream-ffmpegdirect-dmo (1:20.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2024 02:14:25 +0200

kodi-inputstream-ffmpegdirect-dmo (1:20.5.0-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Aug 2023 09:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/inputstream.ffmpegdirect
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:20~),
- cmake, libavcodec-4-dev, libavformat-4-dev, libswresample-4-dev, libpostproc-4-dev,
- libavfilter-4-dev, pkgconf, libbz2-dev, zlib1g-dev, ninja-build, quilt
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:21~),
+ cmake, libavcodec-6-dev, libavformat-6-dev, libswresample-6-dev, libpostproc-6-dev,
+ libavfilter-6-dev, pkgconf, libbz2-dev, zlib1g-dev, ninja-build, quilt
 
 Package: kodi-inputstream-ffmpegdirect
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	-DENABLE_INTERNAL_FFMPEG=OFF \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 #	exit 1

=== debian/watch ===
version=4

https://github.com/xbmc/inputstream.ffmpegdirect/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
